<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'video_archive',

    /*
     * Modules.
     */
    'modules'   => ['video_archive'],

    
    'video_archive'       => [
        'model' => [
            'model' => \Litecms\VideoArchive\Models\VideoArchive::class,
            'repository' => \Litecms\VideoArchive\Repositories\Eloquent\VideoArchiveRepository::class,
            'table' => 'video_archives',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'category_id',  'difficulty_id',  'duration',  'equipment_id',  'total_watch',  'image',  'date_video',  'instructor_id',  'Description',  'intensity_id'],
            'translatables' => [],
            'upload_folder' => 'video_archive/video_archive',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'VideoArchive',
            'module' => 'VideoArchive',
        ],
    ],
];
