<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateVideoArchivesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: video_archives
         */
        Schema::create('video_archives', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->integer('category_id')->nullable();
            $table->integer('difficulty_id')->nullable();
            $table->integer('duration')->nullable();
            $table->string('equipment_id', 50)->nullable();
            $table->integer('total_watch')->nullable();
            $table->text('image')->nullable();
            $table->binary('date_video')->nullable();
            $table->integer('instructor_id')->nullable();
            $table->text('Description')->nullable();
            $table->integer('intensity_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('video_archives');
    }
}
