Lavalite package that provides video_archive management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/video_archive`.

    "litecms/video_archive": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\VideoArchive\Providers\VideoArchiveServiceProvider::class,

And also add it to alias

    'VideoArchive'  => Litecms\VideoArchive\Facades\VideoArchive::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\VideoArchive\\Seeds\\VideoArchiveTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\VideoArchive\Providers\VideoArchiveServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\VideoArchive\Providers\VideoArchiveServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\VideoArchive\Providers\VideoArchiveServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/video_archive/{modulename}

**User**

    http://path-to-route-folder/user/video_archive/{modulename}

**Public**

    http://path-to-route-folder/video_archives


### API endpoints

**List**

    http://path-to-route-folder/api/user/video_archive/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/video_archive/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/video_archive/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/video_archive/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/video_archive/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/video_archive/{modulename}/{slug}
    METHOD: GET