<?php

namespace Litecms\VideoArchive\Forms;

use Litepie\Form\FormInterpreter;

class VideoArchive extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('video_archive/video_archive/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('video_archive/video_archive/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('video_archive/video_archive'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('video_archive/video_archive'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('video_archive/video_archive'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('video_archive/video_archive'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('video_archive::video_archive.label.name'),
                "placeholder" => trans('video_archive::video_archive.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('video_archive::video_archive.label.created_at'),
            'name' => trans('video_archive::video_archive.label.name'),
            'status' => trans('video_archive::video_archive.label.status'),
        ];
        self::$groups = [
            'main' => trans('video_archive::video_archive.groups.main'),
            'details' => trans('video_archive::video_archive.groups.details'),
            'images' => trans('video_archive::video_archive.groups.images'),
            'settings' => trans('video_archive::video_archive.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('video_archive::video_archive.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('video_archive::video_archive.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('video_archive::video_archive.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('video_archive::video_archive.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('video_archive::video_archive.label.name'),
                "placeholder" => trans('video_archive::video_archive.placeholder.name'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'category_id' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('video_archive::video_archive.label.category_id'),
                "placeholder" => trans('video_archive::video_archive.placeholder.category_id'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'difficulty_id' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('video_archive::video_archive.label.difficulty_id'),
                "placeholder" => trans('video_archive::video_archive.placeholder.difficulty_id'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'duration' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('video_archive::video_archive.label.duration'),
                "placeholder" => trans('video_archive::video_archive.placeholder.duration'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'equipment_id' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('video_archive::video_archive.label.equipment_id'),
                "placeholder" => trans('video_archive::video_archive.placeholder.equipment_id'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'image' => [
                "element" => 'file',
                "type" => 'image',
                "label" => trans('video_archive::video_archive.label.image'),
                "placeholder" => trans('video_archive::video_archive.placeholder.image'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'date_video' => [
                "element" => 'file',
                "type" => 'file',
                "label" => trans('video_archive::video_archive.label.date_video'),
                "placeholder" => trans('video_archive::video_archive.placeholder.date_video'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'instructor_id' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('video_archive::video_archive.label.instructor_id'),
                "placeholder" => trans('video_archive::video_archive.placeholder.instructor_id'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'Description' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => trans('video_archive::video_archive.label.Description'),
                "placeholder" => trans('video_archive::video_archive.placeholder.Description'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'intensity_id' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('video_archive::video_archive.label.intensity_id'),
                "placeholder" => trans('video_archive::video_archive.placeholder.intensity_id'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
