<?php

namespace Litecms\VideoArchive\Repositories\Eloquent\Presenters;

use Litepie\Repository\Presenter\Presenter;

class VideoArchiveItemPresenter extends Presenter
{

    public function itemLink()
    {
        return guard_url('video_archive/video_archive') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray()
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'name' => $this->name,
            'category_id' => $this->category_id,
            'difficulty_id' => $this->difficulty_id,
            'duration' => $this->duration,
            'equipment_id' => $this->equipment_id,
            'total_watch' => $this->total_watch,
            'image' => $this->image,
            'date_video' => $this->date_video,
            'instructor_id' => $this->instructor_id,
            'Description' => $this->Description,
            'intensity_id' => $this->intensity_id,
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
            ],
        ];
    }
}
