<?php

namespace Litecms\VideoArchive\Repositories\Eloquent;

use Litecms\VideoArchive\Interfaces\VideoArchiveRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\VideoArchive\Repositories\Eloquent\Presenters\VideoArchiveItemPresenter;


class VideoArchiveRepository extends BaseRepository implements VideoArchiveRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.video_archive.video_archive.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.video_archive.video_archive.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return VideoArchiveItemPresenter::class;
    }
}
